function ll = DRIFTlogLike( Y, sample)
%Log likelihood for the IFHMM link prediction model
%     T = size(Y,1);
% 
%     ll = 0;
%     for t = 1:T
%         ll = ll + MillerLFRMLogLikelihood(Y{t}, squeeze(sample.Z(t,:,:)), sample.W, sample.eps, true);
%     end
    
    %version where we can have multiple graphs at each timestep
    numGraphs = length(Y);
    T = length(Y{1});  % this was a bug
    ll = 0;
    for t = 1:T
        for g = 1:numGraphs
            ll = ll + MillerLFRMLogLikelihood(Y{g}{t}, squeeze(sample.Z(t,:,:)), sample.W, sample.eps, true);
        end
    end
end

