%Compute the log of a sum of values, for which we are given the log of
%those values, in a numerically stable way.
%See http://en.wikipedia.org/wiki/List_of_logarithmic_identities ,
%under "Summation/Subtraction".
function lsum = logOfSum(logValues)
    [a_0 index] = max(logValues);
    logValues(index) = [];
    lsum = a_0;
    accum = 1;
    for i =1:length(logValues)
       accum = accum + exp(logValues(i) - a_0); 
    end
    lsum = lsum + log(accum);
end

%Compute the log of a sum of values, for which we are given the log of
%those values, naively (just to debug the above numerically stable method).
function lsum = logOfSumNaive(logValues)
    values = exp(logValues);
    lsum = log(sum(values));
end