function [ Z ] = sampleFromIFMM_Prior( numActors, T, alpha, gamma, delta, numFeatures, a, b)
%Sample from a (truncated) infinite factorial Markov model.
    
    if nargin < 6
        %sample stick probabilities and persistence probabilities
        a = zeros(numFeatures,1);
        b = zeros(numFeatures,1);
        for k = 1:numFeatures
            if k == 1
                a(1) = random('beta', alpha, 1);
            else
                stickRatio = random('beta', alpha, 1);
                a(k) = a(k-1) .* stickRatio;
            end
            b(k) = random('beta', gamma, delta);
        end
    end
    
    %sample Z from its prior
    Z = zeros(T, numActors,numFeatures);
    for i = 1:numActors
        for j=1:T
           for k = 1:numFeatures
               if j == 1 || Z(j - 1, i, k) == 0
                   pr_featureOn = a(k);
               else pr_featureOn = b(k);
               end
               Z(j, i, k) = (rand() < pr_featureOn);
           end
        end
    end
end

